POST
/
business-profile
cURL
curl --request POST \
  --url https://api.gmbapi.com/external-api/gmb/business-profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "reference_id": "<string>"
}
'
{
  "success": true,
  "payload": {
    "id": "<string>",
    "reference_id": "<string>",
    "name": "<string>",
    "number_of_locations": 123,
    "created_at": "<string>"
  }
}
Requires an Organization token. Calling this endpoint with an Account token returns 403 Forbidden (Authorization level not found).
This endpoint creates a new account under the authenticated organization. The reference_id must be unique across the organization.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Display name for the new account

reference_id
string
required

Your external reference ID. Must be unique across the organization.

Response

Account created successfully

success
boolean
Example:

true

payload
object

An account within the organization